<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" version="1.00">
  <!--=========================================-->
  <!--===== Technical Code Lists -->
  <!--===== ICS Domain Definition  -->
  <!--===== DDNIA v4.00  -->
  <!--===== QTM942  -->
  <!--===== Included Features: [10, 12, 18, 20, 26, 27, 28, 29]  -->
  <!--=========================================-->
  <!--===== Includes =====-->
  <xs:include schemaLocation="tcl.xsd" />
  <!--=========================================-->
  <!--===== XmlErrorCodes =====-->
  <!--===== Defines the codes to be used for reporting errors on XML messages. =====-->
  <!--===== Format: n2 =====-->
  <!--===== Codelist: 30 =====-->
  <!--=========================================-->
  <xs:simpleType name="XmlErrorCodes">
    <xs:annotation>
      <xs:documentation>Defines the codes to be used for reporting errors on XML messages. [Format: n2]</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:nonNegativeInteger">
      <xs:enumeration value="12">
        <xs:annotation>
          <xs:documentation>Incorrect enumeration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="13">
        <xs:annotation>
          <xs:documentation>Missing</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="15">
        <xs:annotation>
          <xs:documentation>Not supported in this position</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="18">
        <xs:annotation>
          <xs:documentation>Unspecified Error / Other</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="19">
        <xs:annotation>
          <xs:documentation>Invalid decimal notation</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="35">
        <xs:annotation>
          <xs:documentation>Too many repetitions</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="39">
        <xs:annotation>
          <xs:documentation>Element too long (length constraint)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="40">
        <xs:annotation>
          <xs:documentation>Element too short (length constraint)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="50">
        <xs:annotation>
          <xs:documentation>Invalid Value for the specific type</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="51">
        <xs:annotation>
          <xs:documentation>Invalid value according to the pattern</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="52">
        <xs:annotation>
          <xs:documentation>Invalid XML format</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="53">
        <xs:annotation>
          <xs:documentation>Invalid character(s)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="54">
        <xs:annotation>
          <xs:documentation>Value is lower than the allowed lowest limit (Minimum Inclusive)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="55">
        <xs:annotation>
          <xs:documentation>Value is greater than the allowed upper limit (Maximum Inclusive)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="56">
        <xs:annotation>
          <xs:documentation>Value is lower than or equal to the allowed lowest limit (Minimum Exlcusive)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="57">
        <xs:annotation>
          <xs:documentation>Value is greater than or equal to the allowed upper limit (Maximum Exclusive)</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
    </xs:restriction>
  </xs:simpleType>
  <!--=========================================-->
  <!--===== MessageTypes =====-->
  <!--===== Used for attribute MESSAGE ERRORS.Association assigned code and MESSAGE.Message Type. The usage of each code in one of the UNSM templates is defined in the Remarks column. CC should in all cases be instantiated to the value of the particular domain in which the message is created. =====-->
  <!--===== Format: an..6 =====-->
  <!--===== Codelist: 60 =====-->
  <!--=========================================-->
  <xs:simpleType name="MessageTypes">
    <xs:annotation>
      <xs:documentation>Used for attribute MESSAGE ERRORS.Association assigned code and MESSAGE.Message Type. The usage of each code in one of the UNSM templates is defined in the Remarks column. CC should in all cases be instantiated to the value of the particular domain in which the message is created. [Format: an..6]</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:token">
      <xs:enumeration value="CD205A">
        <xs:annotation>
          <xs:documentation>Guarantee Use Result</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC304A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration Amendment Accepted</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC305A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration Amendment Rejection</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC313A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration Amendment</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC315A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC316A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration Rejected</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC323A">
        <xs:annotation>
          <xs:documentation>Diversion Request Import</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC324A">
        <xs:annotation>
          <xs:documentation>Diversion Request Rejected</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC325A">
        <xs:annotation>
          <xs:documentation>Diversion Request Acknowledgement</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC328A">
        <xs:annotation>
          <xs:documentation>Entry Summary Request Acknowledgement</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC351A">
        <xs:annotation>
          <xs:documentation>Advanced Intervention Notification</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD301A">
        <xs:annotation>
          <xs:documentation>ENS</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD302A">
        <xs:annotation>
          <xs:documentation>Declaration Request Import</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD303A">
        <xs:annotation>
          <xs:documentation>Entry Summary Declaration Response</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD319A">
        <xs:annotation>
          <xs:documentation>Transmission to subsequent Office of Entry</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD917B">
        <xs:annotation>
          <xs:documentation>XML NACK</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD030C">
        <xs:annotation>
          <xs:documentation>Notification of customs offices modification to common domain</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD031C">
        <xs:annotation>
          <xs:documentation>Notification of customs offices modification to national domain</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD032C">
        <xs:annotation>
          <xs:documentation>Notification of common reference data modification to ND</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD070B">
        <xs:annotation>
          <xs:documentation>Notification of System Unavailability to CD</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD071B">
        <xs:annotation>
          <xs:documentation>Notification of System Unavailability to ND</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD906B">
        <xs:annotation>
          <xs:documentation>Functional NACK</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD912B">
        <xs:annotation>
          <xs:documentation>Availability Matrix</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD913B">
        <xs:annotation>
          <xs:documentation>Upload parsing response</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD914B">
        <xs:annotation>
          <xs:documentation>COL request</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD916B">
        <xs:annotation>
          <xs:documentation>Common RD Request</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD931C">
        <xs:annotation>
          <xs:documentation>COL DATA</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD932C">
        <xs:annotation>
          <xs:documentation>Common RD Data</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CD971B">
        <xs:annotation>
          <xs:documentation>Full Unavailability Schedule</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID15A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ ÄéáóÜöçóçò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID16A">
        <xs:annotation>
          <xs:documentation>Import Declaration Rejected</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID17A">
        <xs:annotation>
          <xs:documentation>Import Control Results</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID19A">
        <xs:annotation>
          <xs:documentation>Import Control Result Rejected</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID28A">
        <xs:annotation>
          <xs:documentation>Import MRN Allocated</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID29A">
        <xs:annotation>
          <xs:documentation>Release For Import</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID51A">
        <xs:annotation>
          <xs:documentation>Import Not Release</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID54A">
        <xs:annotation>
          <xs:documentation>Import Release Request</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID60A">
        <xs:annotation>
          <xs:documentation>Import Control Decision Notification</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID99A">
        <xs:annotation>
          <xs:documentation>Import Notification</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IC09A">
        <xs:annotation>
          <xs:documentation>Áðüöáóç Áêýñùóçò Äåëôéïõ Åìðïñåõìáôïêéâùôéùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IC14A">
        <xs:annotation>
          <xs:documentation>Áéôçìá Áêýñùóçò Äçëþóçò ãéá Åìðïñåõìáôïêéâùôéá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IC15A">
        <xs:annotation>
          <xs:documentation>Áéôçóç - Äçëþóç ãéá Åìðïñåõìáôïêéâùôéá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IC16A">
        <xs:annotation>
          <xs:documentation>Áðïññéøç Äçëùóçò ãéá Åìðïñåõìáôïêéâùôéá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IC28A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷ç Äçëùóçò Åìðïñåõìáôïêéâùôéùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID04A">
        <xs:annotation>
          <xs:documentation>Import Declaration Amendment Acceptance</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID05A">
        <xs:annotation>
          <xs:documentation>Import Declaration Amendment Rejection</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID09A">
        <xs:annotation>
          <xs:documentation>Import Cancellation Decision</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID13A">
        <xs:annotation>
          <xs:documentation>Import Declaration Amendment</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID14A">
        <xs:annotation>
          <xs:documentation>Import Cancellation Request</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC322A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Åéóüäïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC329A">
        <xs:annotation>
          <xs:documentation>ÄåäïìÝíá Åéóüäïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC330A">
        <xs:annotation>
          <xs:documentation>ÁðåëåõèÝñùóç Åéóüäïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC340A">
        <xs:annotation>
          <xs:documentation>PRE-ARRIVAL NOTIFICATION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC341A">
        <xs:annotation>
          <xs:documentation>PRE-ARRIVAL NOTIFICATION VALIDATION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC342A">
        <xs:annotation>
          <xs:documentation>PRE-ARRIVAL ITEM REJECTION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC344A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ SAN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC345A">
        <xs:annotation>
          <xs:documentation>SUBSEQUENT ARRIVAL NOTIFICATION VALIDATION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC346A">
        <xs:annotation>
          <xs:documentation>SUBSEQUENT ARRIVAL ITEM REJECTION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC347A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ ARN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC348A">
        <xs:annotation>
          <xs:documentation>ARRIVAL NOTIFICATION VALIDATION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC349A">
        <xs:annotation>
          <xs:documentation>ARRIVAL ITEM REJECTION</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC361B">
        <xs:annotation>
          <xs:documentation>Åéäïðïßçóç Áðüöáóçò ÅëÝã÷ïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="CC392B">
        <xs:annotation>
          <xs:documentation>ÄåäïìÝíá ÅëÝã÷ïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA004A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ ôñïðïðïßçóçò ARN / SAN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA005A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç ôñïðïðïßçóçò ARN / SAN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA013A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ ôñïðïðïßçóçò ARN / SAN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA204A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò ÐáñáôçñÞóåùí ÁðïèçêåõôÞ Ð.Å.</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA205A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò ÐáñáôçñÞóåùí ÐáñáëáâÞò ÁðïèçêåõôÞ Ð.Å</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA213A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ Ôñïðïðïßçóçò ÐáñáôçñÞóåùí ÐáñáëáâÞò ÁðïèçêåõôÞ Ð.Å.</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA215A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ ÐáñáôçñÞóåùí ÐáñáëáâÞò ÁðïèçêåõôÞ Ð.Å.</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA216A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç ÐáñáôçñÞóåùí ÐáñáëáâÞò ÁðïèçêåõôÞ Ð.Å.</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA228A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ ÐáñáôçñÞóåùí ÐáñáëáâÞò ÁðïèçêåõôÞ Ð.Å.</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA291A">
        <xs:annotation>
          <xs:documentation>Áßôçìá ðñïò ôïí äéá÷åéñéóôÞ Ð.Å. ãéá ôçí åéêüíá ôùí ðéóôþóåùí åíüò MRN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA292A">
        <xs:annotation>
          <xs:documentation>ÅíçìÝñùóç ôåëùíåßïõ ãéá ôçí åéêüíá ôùí ðéóôþóåùí åíüò MRN</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA304A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA305A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA313A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ Ôñïðïðïßçóçò Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA315A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA316A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA328A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Áíáóõóêåõáóßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB004A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Ðñïáíáããåëßáò ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB005A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Ðñïáíáããåëßáò ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB013A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Ðñïáíáããåëßáò ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB015A">
        <xs:annotation>
          <xs:documentation>Ðñïáíáããåëßá ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB016A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ðñïáíáããåëßáò ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB028A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ðñïáíáããåëßáò ¢öéîçò – Áíá÷þñçóçò Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB104A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áíáããåëßáò ¢öéîçò – ÊáôÜðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB113A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áíáããåëßáò ¢öéîçò – ÊáôÜðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB115A">
        <xs:annotation>
          <xs:documentation>Áíáããåëßá ¢öéîçò – ÊáôÜðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB116A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áíáããåëßáò ¢öéîçò – ÊáôÜðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB128A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áíáããåëßáò ¢öéîçò – ÊáôÜðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB204A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB205A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB213A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áßôçóçò Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB215A">
        <xs:annotation>
          <xs:documentation>Áßôçóç Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB216A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB228A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Áíá÷þñçóçò – Áðüðëïõ Ðëïßïõ</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB304A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB305A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB313A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB315A">
        <xs:annotation>
          <xs:documentation>ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB316A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB328A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ ÉÌÏ General Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB404A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB405A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB413A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB415A">
        <xs:annotation>
          <xs:documentation>IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB416A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB428A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ IMO Ship’s Stores Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB504A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB505A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB513A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB515A">
        <xs:annotation>
          <xs:documentation>IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB516A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB528A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ IMO Crew’s Effects Declaration</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB604A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB605A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB613A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB615A">
        <xs:annotation>
          <xs:documentation>IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB616A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB628A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ IMO Crew List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB704A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB705A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB713A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB715A">
        <xs:annotation>
          <xs:documentation>IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB716A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB728A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ IMO Passenger List</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB804A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB805A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB813A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB815A">
        <xs:annotation>
          <xs:documentation>IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB816A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DB828A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ IMO Dangerous Goods Manifest</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC004A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC005A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC013A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áßôçóçò ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC015A">
        <xs:annotation>
          <xs:documentation>Áßôçóç ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC016A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC028A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò ÊáôáóôñïöÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC104A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC105A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC113A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áßôçóçò ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC115A">
        <xs:annotation>
          <xs:documentation>Áßôçóç ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC116A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC128A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò ÅãêáôÜëåéøçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC515A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ Áßôçóçò Ðñïóêüìéóçò Ðñüóèåôùí Óôïé÷åßùí áðü Ïéêïíïìéêü ÖïñÝá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC516A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Ðñïóêüìéóçò Ðñüóèåôùí Óôïé÷åßùí áðü Ïéêïíïìéêü ÖïñÝá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC528A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Ðñïóêüìéóçò Ðñüóèåôùí Óôïé÷åßùí áðü Ïéêïíïìéêü ÖïñÝá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC591A">
        <xs:annotation>
          <xs:documentation>Áßôçìá Ðñïóêüìéóçò Ðñüóèåôùí Óôïé÷åßùí áðü Ïéêïíïìéêü ÖïñÝá</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC604A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC605A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC613A">
        <xs:annotation>
          <xs:documentation>Áßôçóç Ôñïðïðïßçóçò Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC615A">
        <xs:annotation>
          <xs:documentation>Áßôçóç Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC616A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC628A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Äåéãìáôïëçøßáò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC704A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC705A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC713A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áßôçóçò Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC715A">
        <xs:annotation>
          <xs:documentation>Áßôçóç Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC716A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DC728A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Âåâáßùóçò Êïéíïôéêïý ×áñáêôÞñá ÅìðïñåõìÜôùí</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE004A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Ôñïðïðïßçóçò Áßôçóçò Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE005A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Ôñïðïðïßçóçò Áßôçóçò Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE013A">
        <xs:annotation>
          <xs:documentation>Ôñïðïðïßçóç Áßôçóçò Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE015A">
        <xs:annotation>
          <xs:documentation>Áßôçóç Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE016A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Áßôçóçò Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DE028A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Áßôçóçò Äçëùôéêïý</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="DA413A">
        <xs:annotation>
          <xs:documentation>ARN AMENDMENT</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA15A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ ÅÄÅ Áíåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IM14A">
        <xs:annotation>
          <xs:documentation>Áßôçìá Áêýñùóçò Åêêáèáñéóôéêïý Ëïãáñéáóìïý ÅíåñãçôéêÞò Ôåëåéïðïßçóçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IM15A">
        <xs:annotation>
          <xs:documentation>ÕðïâïëÞ Åêêáèáñéóôéêïý Ëïãáñéáóìïý ÅíåñãçôéêÞò Ôåëåéïðïßçóçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IM09A">
        <xs:annotation>
          <xs:documentation>Áðüöáóç Áêýñùóçò Åêêáèáñéóôéêïý Ëïãáñéáóìïý ÅíåñãçôéêÞò Ôåëåéïðïßçóçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IM16A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Åêêáèáñéóôéêïý Ëïãáñéáóìïý ÅíåñãçôéêÞò Ôåëåéïðïßçóçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IM28A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ Åêêáèáñéóôéêïý Ëïãáñéáóìïý ÅíåñãçôéêÞò Ôåëåéïðïßçóçò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID015A">
        <xs:annotation>
          <xs:documentation>Óõìðëçñùìáôéêü ÌÞíõìá ÄéáóÜöçóçò Ôýðïõ D</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="ID016A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç Óõìðëçñùìáôéêïý Ìçíýìáôïò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA04A">
        <xs:annotation>
          <xs:documentation>Áðïäï÷Þ ÁéôÞìáôïò Äéüñèùóçò ÅÄÅ ¢íåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA05A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç ÁéôÞìáôïò Äéüñèùóçò ÅÄÅ ¢íåõ ÓôáôéóôéêÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA09A">
        <xs:annotation>
          <xs:documentation>Áðüöáóç Áêýñùóçò ÅÄÅ ¢íåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA16A">
        <xs:annotation>
          <xs:documentation>Áðüññéøç ÅÄÅ ¢íåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA14A">
        <xs:annotation>
          <xs:documentation>Áßôçìá Áêýñùóçò ÅÄÅ ¢íåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA28A">
        <xs:annotation>
          <xs:documentation>Á/Á ÅÄÅ ¢íåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="IA13A">
        <xs:annotation>
          <xs:documentation>Áéôçìá Äéïñèùóçò ÅÄÅ Áíåõ ÓôáôéóôéêÞò ÅéóáãùãÞò</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
    </xs:restriction>
  </xs:simpleType>
  <!--=========================================-->
  <!--===== BusinessFunctionalityCode =====-->
  <!--===== Format: a1 =====-->
  <!--===== Codelist: 68 =====-->
  <!--=========================================-->
  <xs:simpleType name="BusinessFunctionalityCode">
    <xs:annotation>
      <xs:documentation>null [Format: a1]</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:token">
      <xs:enumeration value="H">
        <xs:annotation>
          <xs:documentation>Reference Data</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="O">
        <xs:annotation>
          <xs:documentation>Accept sending Entry summary declarations to an Office of First Entry in another MS</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="P">
        <xs:annotation>
          <xs:documentation>Accept receiving Entry summary declarationslodged at an Office of Lodgement in another MS</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="W">
        <xs:annotation>
          <xs:documentation>ALL FUNCTIONALITY</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="U">
        <xs:annotation>
          <xs:documentation>Entry Processing</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="V">
        <xs:annotation>
          <xs:documentation>Lodgement</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
    </xs:restriction>
  </xs:simpleType>
  <!--=========================================-->
  <!--===== EoriAeoErrorCode =====-->
  <!--===== It is an alphanumerical up to 50 characters string (i.e. an..50) that is used to define in an acknowledgement notification message the error code(s). =====-->
  <!--===== Format: an..50 =====-->
  <!--===== Codelist: 121 =====-->
  <!--=========================================-->
  <xs:simpleType name="EoriAeoErrorCode">
    <xs:annotation>
      <xs:documentation>It is an alphanumerical up to 50 characters string (i.e. an..50) that is used to define in an acknowledgement notification message the error code(s). [Format: an..50]</xs:documentation>
    </xs:annotation>
    <xs:restriction base="xs:token">
      <xs:enumeration value="GEN-CORR">
        <xs:annotation>
          <xs:documentation>Non XML message received</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="GEN-INVALID-BYTE-SEQUENCE">
        <xs:annotation>
          <xs:documentation>Invalid byte sequence: a byte sequence does not represent a valid character in the character encoding scheme (UTF-8).</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
      <xs:enumeration value="GEN-WRONG-ENVID">
        <xs:annotation>
          <xs:documentation>Envelope Id and/or Originator Reference are missing</xs:documentation>
        </xs:annotation>
      </xs:enumeration>
    </xs:restriction>
  </xs:simpleType>
</xs:schema>

